import {KEYWORD_TYPE} from "../common/HealthKeyword";
import Image from "../../components/image";
import {PATH_DONOTS_STATIC_PAGE} from "../../routes/paths";

export const ICON_HEALTH_KEYWORD_TYPE = {
  COLD: KEYWORD_TYPE.COLD,
  CONSTIPATION: KEYWORD_TYPE.CONSTIPATION,
  LACTOSE: KEYWORD_TYPE.LACTOSE,
  IMBALANCED: KEYWORD_TYPE.IMBALANCED,
  SKIN: KEYWORD_TYPE.SKIN,
  MUSCLE: KEYWORD_TYPE.MUSCLE,
  BONE: KEYWORD_TYPE.BONE,
  ANEMIA: KEYWORD_TYPE.ANEMIA,
  MOUTH: KEYWORD_TYPE.MOUTH,
  GUMS: KEYWORD_TYPE.GUMS,
  EYEBALL: KEYWORD_TYPE.EYEBALL,
}

export function SvgHealthKeywordIcons({type, onClick, sx}) {
  const DEFAULT = () => {
    return COLD()
  }
  const COLD = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/cold.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" xmlns="http://www.w3.org/2000/svg"
      //          sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <rect width="40" height="40" fill="white"/>
      //   <path
      //     d="M16.0418 11.0657C14.0906 11.0657 12.5089 9.48396 12.5089 7.53283C12.5089 5.58171 14.0906 4 16.0418 4M5.0707 27.844C2.67383 25.3118 1.20386 21.8932 1.20386 18.1313C1.20386 10.3268 7.53067 4 15.3352 4C23.1397 4 29.4665 10.3268 29.4665 18.1313C29.4665 24.5284 25.2158 29.9327 19.3848 31.6739"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M10.3581 26.0186L15.0017 21.7114C15.248 21.4829 15.575 21.3616 15.9107 21.3742C16.2464 21.3869 16.5634 21.5323 16.7919 21.7786C17.0203 22.0249 17.1416 22.3519 17.129 22.6876C17.1164 23.0234 16.9709 23.3403 16.7246 23.5688"
      //     fill="white"/>
      //   <path
      //     d="M10.3581 26.0186L15.0017 21.7114C15.248 21.4829 15.575 21.3616 15.9107 21.3742C16.2464 21.3869 16.5634 21.5323 16.7919 21.7786C17.0203 22.0249 17.1416 22.3519 17.129 22.6876C17.1164 23.0234 16.9709 23.3403 16.7246 23.5688"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M11.751 24.7268C11.9973 24.4983 12.1428 24.1813 12.1554 23.8456C12.168 23.5099 12.0467 23.1829 11.8182 22.9366C11.5898 22.6903 11.2728 22.5448 10.9371 22.5322C10.6014 22.5196 10.2744 22.6409 10.0281 22.8693L6.41103 26.2244C5.95236 26.6494 5.60566 27.181 5.40166 27.7721C5.19766 28.3632 5.14267 28.9955 5.24155 29.6129L5.53664 31.4448C5.57055 31.6508 5.55298 31.8621 5.48551 32.0597C5.41803 32.2574 5.30273 32.4353 5.14988 32.5776L3.78776 33.841"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M14.4028 25.7226L17.6533 22.7075C17.8996 22.4791 18.2266 22.3578 18.5623 22.3704C18.8981 22.383 19.215 22.5285 19.4435 22.7748C19.672 23.0211 19.7932 23.3481 19.7806 23.6838C19.768 24.0195 19.6225 24.3365 19.3762 24.565L16.1257 27.5801"
      //     fill="white"/>
      //   <path
      //     d="M14.4028 25.7226L17.6533 22.7075C17.8996 22.4791 18.2266 22.3578 18.5623 22.3704C18.8981 22.383 19.215 22.5285 19.4435 22.7748C19.672 23.0211 19.7932 23.3481 19.7806 23.6838C19.768 24.0195 19.6225 24.3365 19.3762 24.565L16.1257 27.5801"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M18.9121 24.9962C19.1584 24.7677 19.4854 24.6464 19.8211 24.659C20.1568 24.6716 20.4738 24.8171 20.7023 25.0634C20.9307 25.3097 21.052 25.6367 21.0394 25.9724C21.0268 26.3082 20.8813 26.6251 20.635 26.8536L19.2419 28.1458"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M17.3843 29.8682L19.2417 28.1453C19.488 27.9169 19.815 27.7956 20.1507 27.8082C20.4864 27.8208 20.8034 27.9663 21.0319 28.2126C21.2603 28.4589 21.3816 28.7859 21.369 29.1216C21.3564 29.4573 21.2109 29.7743 20.9646 30.0028L18.0244 32.7023"
      //     fill="white"/>
      //   <path
      //     d="M17.3843 29.8682L19.2417 28.1453C19.488 27.9169 19.815 27.7956 20.1507 27.8082C20.4864 27.8208 20.8034 27.9663 21.0319 28.2126C21.2603 28.4589 21.3816 28.7859 21.369 29.1216C21.3564 29.4573 21.2109 29.7743 20.9646 30.0028L18.0244 32.7023L15.3354 35.2067C12.9801 36.9731 11.8025 36.3843 10.036 35.7955"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M17.3843 29.8682L19.2417 28.1453C19.488 27.9169 19.815 27.7956 20.1507 27.8082C20.4864 27.8208 20.8034 27.9663 21.0319 28.2126C21.2603 28.4589 21.3816 28.7859 21.369 29.1216C21.3564 29.4573 21.2109 29.7743 20.9646 30.0028L18.0244 32.7023"
      //     fill="white"/>
      //   <path
      //     d="M17.3843 29.8682L19.2417 28.1453C19.488 27.9169 19.815 27.7956 20.1507 27.8082C20.4864 27.8208 20.8034 27.9663 21.0319 28.2126C21.2603 28.4589 21.3816 28.7859 21.369 29.1216C21.3564 29.4573 21.2109 29.7743 20.9646 30.0028L18.0244 32.7023L15.3354 35.2067C12.9801 36.9731 11.8025 36.3843 10.036 35.7955"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path d="M9.44678 14.5983L11.802 15.7759L9.44678 16.9536" stroke="#666666" strokeWidth="1.5"
      //         strokeLinecap="round" strokeLinejoin="round"/>
      //   <path d="M21.2231 14.5983L18.8679 15.7759L21.2231 16.9536" stroke="#666666" strokeWidth="1.5"
      //         strokeLinecap="round" strokeLinejoin="round"/>
      //   <path d="M33.6022 25.245L38.9134 27.3693M31.4779 28.4315L36.258 32.1496M28.8221 31.0872L31.4779 35.8674"
      //         stroke="#666666" strokeWidth="1.5" strokeLinecap="round"/>
      // </SvgIcon>
    )
  }

  const CONSTIPATION = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/constipation.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <path
      //     d="M31.5614 26.4387C35.6696 26.4387 39 21.8594 39 16.2105C39 10.5617 35.6696 5.98242 31.5614 5.98242M31.5614 26.4387C27.4531 26.4387 24.1227 21.8594 24.1227 16.2105M31.5614 26.4387H24.9681M24.1227 16.2105C24.1227 10.5617 27.4531 5.98242 31.5614 5.98242M24.1227 16.2105C25.3189 24.5224 25.4654 29.1234 24.2683 35.0411C24.1862 35.4472 23.827 35.7369 23.4126 35.7369H4.71759C4.16968 35.7369 3.75573 35.241 3.83522 34.6989C4.77124 28.3152 3.78411 22.4815 3.6665 16.2105C3.6665 13.4979 4.45021 10.8963 5.84523 8.97817C7.24024 7.06002 9.13229 5.98242 11.1051 5.98242H31.5614"
      //     stroke="#666666" strokeWidth="1.5"/>
      //   <path
      //     d="M34.3509 16.2105C34.3509 18.2646 33.1021 19.9298 31.5615 19.9298C30.0209 19.9298 28.772 18.2646 28.772 16.2105C28.772 14.1564 30.0209 12.4912 31.5615 12.4912C33.1021 12.4912 34.3509 14.1564 34.3509 16.2105Z"
      //     stroke="#666666" strokeWidth="1.5"/>
      //   <path d="M7.59619 19.7195L21.3333 19.7195" stroke="#666666" strokeWidth="1.5" strokeLinecap="round"
      //         strokeDasharray="2 2"/>
      // </SvgIcon>
    )
  }
  const LACTOSE = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/lactose.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <rect width="40" height="40" fill="white"/>
      //   <path
      //     d="M9.45491 3.09009C9.45491 3.09009 10.0949 5.50009 10.2449 6.69009C10.3949 7.88009 10.6449 9.81009 10.2449 11.1801C9.99491 12.0301 9.14491 13.2701 8.59491 14.1701C8.04491 15.0701 7.24491 16.5101 6.80491 17.8601C6.29491 19.4101 6.37491 20.3501 6.45491 21.9001C6.49491 22.6001 6.85491 23.8901 7.15491 24.1901"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path d="M18.8151 38.25V34.21C18.8151 34.21 15.3951 29.37 6.43506 28.53" stroke="#666666" strokeWidth="1.5"
      //         strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M21.7949 13.31C22.4549 12.53 23.4349 12.04 24.5349 12.04C26.5149 12.04 28.1249 13.65 28.1249 15.63C28.1249 17.61 26.5149 19.22 24.5349 19.22C23.6649 19.22 22.8649 18.91 22.2449 18.4"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M17.305 13.1802C17.195 12.8602 17.125 12.5202 17.125 12.1602C17.125 10.5102 18.465 9.16016 20.125 9.16016C21.785 9.16016 23.125 10.5002 23.125 12.1602"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M15.435 16.1801C14.805 15.6301 14.405 14.8101 14.405 13.9001C14.405 13.2101 14.645 12.5801 15.045 12.0701"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M17.6551 19.9702C17.4251 20.2202 17.1551 20.4402 16.8351 20.6002C15.3751 21.3702 13.5551 20.8102 12.7851 19.3502C12.2851 18.4002 12.3451 17.3102 12.8451 16.4502"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M17.4349 16.6802C16.7949 18.1402 17.2149 19.9002 18.5449 20.9202C19.7949 21.8702 21.4649 21.8702 22.6949 21.0302"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M30.5451 3.09009C30.5451 3.09009 29.9051 5.50009 29.7551 6.69009C29.6051 7.88009 29.3551 9.81009 29.7551 11.1801C30.0051 12.0301 30.8551 13.2701 31.4051 14.1701C31.9551 15.0701 32.7551 16.5101 33.1951 17.8601C33.7051 19.4101 33.6251 20.3501 33.5451 21.9001C33.5051 22.6001 33.1451 23.8901 32.8451 24.1901"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path d="M21.1851 38.25V34.21C21.1851 34.21 24.6051 29.37 33.5651 28.53" stroke="#666666" strokeWidth="1.5"
      //         strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M32.8449 38.2502C32.8449 38.2502 34.5849 29.3302 32.8449 24.1902C30.0549 26.0302 20.3349 26.0302 20.3349 26.0302H19.6649C19.6649 26.0302 9.94493 26.0302 7.15493 24.1902C5.41493 29.3202 7.15493 38.2502 7.15493 38.2502"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path d="M18.8149 34.2102H21.1849" stroke="#666666" strokeWidth="1.5" strokeLinecap="round"
      //         strokeLinejoin="round"/>
      // </SvgIcon>
    )
  }
  const IMBALANCED = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/imbalanced.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <g clipPath="url(#clip0_741_6553)">
      //     <path d="M1.11597 18.7059L38.5107 9.88232" stroke="#666666" strokeWidth="1.5" strokeLinecap="round"
      //           strokeLinejoin="round"/>
      //     <path d="M19.954 12.571L20 7" stroke="#666666" strokeWidth="1.5" strokeLinecap="round"
      //           strokeLinejoin="round"/>
      //     <path
      //       d="M20 17C21.3807 17 22.5 15.8807 22.5 14.5C22.5 13.1193 21.3807 12 20 12C18.6193 12 17.5 13.1193 17.5 14.5C17.5 15.8807 18.6193 17 20 17Z"
      //       fill="white" stroke="#666666" strokeWidth="1.5" strokeMiterlimit="10"/>
      //     <path
      //       d="M7.2639 18.5485L12.553 31.2868H1.63794L6.92701 18.5485C6.98316 18.4002 7.20775 18.4002 7.2639 18.5485Z"
      //       stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //     <path
      //       d="M12.5642 31.2869C12.5642 34.1376 10.1162 36.4373 7.10668 36.4373C4.09719 36.4373 1.63794 34.1376 1.63794 31.2869"
      //       stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //     <path
      //       d="M33.4578 12.0516L38.7415 24.7824H27.8264L33.1101 12.0516C33.1661 11.9034 33.3905 11.9034 33.4466 12.0516H33.4578Z"
      //       stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //     <path
      //       d="M38.7529 24.793C38.7529 27.642 36.3074 29.9404 33.301 29.9404C30.2946 29.9404 27.8491 27.6315 27.8491 24.793"
      //       stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   </g>
      //   <defs>
      //     <clipPath id="clip0_741_6553">
      //       <rect width="39.8452" height="35" fill="white" transform="translate(0 4)"/>
      //     </clipPath>
      //   </defs>
      // </SvgIcon>
    )
  }
  const SKIN = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/skin.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <g clipPath="url(#clip0_741_6607)">
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M29.1395 7.22292C28.8213 6.87992 28.3799 6.67735 27.9124 6.65979C27.4449 6.64222 26.9896 6.8111 26.6466 7.12926L17.3544 15.7485C17.0422 16.038 16.5545 16.0197 16.265 15.7075C15.9755 15.3954 15.9938 14.9077 16.3059 14.6182L25.5981 5.99897C26.2409 5.40275 27.0942 5.08629 27.9703 5.11921C28.8464 5.15213 29.6736 5.53173 30.2698 6.1745C30.866 6.81727 31.1825 7.67057 31.1496 8.54667C31.1166 9.42278 30.737 10.2499 30.0943 10.8461C29.7821 11.1357 29.2944 11.1173 29.0049 10.8052C28.7154 10.4931 28.7337 10.0054 29.0458 9.71586C29.3888 9.39769 29.5914 8.9563 29.609 8.48879C29.6265 8.02127 29.4577 7.56593 29.1395 7.22292Z"
      //           fill="#666666"/>
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M18.0179 7.43549C18.894 7.46841 19.7212 7.84801 20.3174 8.49078C20.9136 9.13356 21.2301 9.98686 21.1972 10.863C21.1642 11.7391 20.7846 12.5662 20.1419 13.1624C19.8297 13.4519 19.342 13.4336 19.0525 13.1215C18.763 12.8094 18.7813 12.3217 19.0934 12.0321C19.4364 11.714 19.639 11.2726 19.6566 10.8051C19.6741 10.3376 19.5053 9.88221 19.1871 9.53921C18.8689 9.19621 18.4276 8.99364 17.96 8.97607C17.4925 8.95851 17.0372 9.12738 16.6942 9.44554L9.45617 16.1593C8.63138 16.9236 8.00763 17.8798 7.64079 18.9427C7.274 20.0055 7.17508 21.1423 7.3528 22.2525C7.35282 22.2526 7.35277 22.2523 7.3528 22.2525L7.94285 25.9154C7.94293 25.9159 7.94302 25.9165 7.9431 25.917C8.03124 26.4542 7.98532 27.005 7.8094 27.5202C7.63331 28.036 7.33243 28.5002 6.93355 28.8716L6.93251 28.8725L4.20679 31.4008C3.89468 31.6904 3.40695 31.672 3.11744 31.3599C2.82793 31.0478 2.84625 30.5601 3.15837 30.2706L5.88341 27.7429C6.09608 27.5448 6.25651 27.2972 6.35042 27.0221C6.44439 26.7469 6.46885 26.4527 6.42163 26.1657L6.42122 26.1632L5.83072 22.4974C5.61278 21.1367 5.73387 19.7425 6.18347 18.4398C6.63303 17.1372 7.39703 15.9657 8.40774 15.0291C8.40778 15.029 8.4077 15.0291 8.40774 15.0291L15.6458 8.31526C16.2885 7.71904 17.1418 7.40257 18.0179 7.43549Z"
      //           fill="#666666"/>
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M34.4457 9.21578C34.1275 8.87278 33.6861 8.67021 33.2186 8.65265C32.7511 8.63508 32.2957 8.80395 31.9527 9.12212L25.4482 15.1556C25.1361 15.4451 24.6483 15.4268 24.3588 15.1146C24.0693 14.8025 24.0876 14.3148 24.3997 14.0253L30.9043 7.99183C31.5471 7.39561 32.4004 7.07915 33.2765 7.11207C34.1526 7.14498 34.9797 7.52458 35.5759 8.16736C36.1722 8.81013 36.4886 9.66343 36.4557 10.5395C36.4228 11.4156 36.0432 12.2428 35.4004 12.839L28.8959 18.8725C28.5837 19.162 28.096 19.1436 27.8065 18.8315C27.517 18.5194 27.5353 18.0317 27.8474 17.7422L34.352 11.7087C34.695 11.3906 34.8976 10.9492 34.9151 10.4816C34.9327 10.0141 34.7638 9.55879 34.4457 9.21578Z"
      //           fill="#666666"/>
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M36.9637 13.7946C36.6456 13.4516 36.2042 13.249 35.7367 13.2314C35.2691 13.2139 34.8138 13.3828 34.4708 13.7009C34.1587 13.9904 33.6709 13.9721 33.3814 13.66C33.0919 13.3479 33.1102 12.8601 33.4224 12.5706C34.0651 11.9744 34.9184 11.6579 35.7945 11.6909C36.6706 11.7238 37.4978 12.1034 38.094 12.7462C38.6902 13.3889 39.0067 14.2422 38.9738 15.1183C38.9409 15.9944 38.5613 16.8216 37.9185 17.4178L35.1308 20.0036C34.8187 20.2931 34.331 20.2748 34.0415 19.9626C33.7519 19.6505 33.7703 19.1628 34.0824 18.8733L36.8701 16.2875C37.2131 15.9693 37.4156 15.528 37.4332 15.0604C37.4508 14.5929 37.2819 14.1376 36.9637 13.7946Z"
      //           fill="#666666"/>
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M37.6239 20.0975C37.3057 19.7545 36.8643 19.5519 36.3968 19.5344C35.9293 19.5168 35.4739 19.6857 35.1309 20.0038L31.4141 23.4515C31.1019 23.741 30.6142 23.7227 30.3247 23.4106C30.0352 23.0985 30.0535 22.6107 30.3656 22.3212L34.0825 18.8735C34.7253 18.2773 35.5786 17.9609 36.4547 17.9938C37.3308 18.0267 38.1579 18.4063 38.7542 19.0491C39.3504 19.6918 39.6668 20.5451 39.6339 21.4212C39.601 22.2973 39.2214 23.1245 38.5786 23.7207L38.5758 23.7234L38.5757 23.7234L32.6921 29.1254C32.3785 29.4134 31.8909 29.3925 31.603 29.079C31.315 28.7654 31.3358 28.2777 31.6494 27.9898L37.5302 22.5904C37.5307 22.59 37.5311 22.5896 37.5315 22.5892C37.8737 22.2711 38.0758 21.8303 38.0933 21.3634C38.1109 20.8958 37.942 20.4405 37.6239 20.0975Z"
      //           fill="#666666"/>
      //     <path
      //       d="M23.9184 21.4057C23.9184 22.0134 23.4258 22.506 22.8181 22.506C22.2104 22.506 21.7178 22.0134 21.7178 21.4057C21.7178 20.798 22.2104 20.3054 22.8181 20.3054C23.4258 20.3054 23.9184 20.798 23.9184 21.4057Z"
      //       fill="#222222"/>
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M22.8181 21.4782C22.8582 21.4782 22.8906 21.4457 22.8906 21.4057C22.8906 21.3656 22.8582 21.3331 22.8181 21.3331C22.778 21.3331 22.7456 21.3656 22.7456 21.4057C22.7456 21.4457 22.778 21.4782 22.8181 21.4782ZM22.8181 22.506C23.4258 22.506 23.9184 22.0134 23.9184 21.4057C23.9184 20.798 23.4258 20.3054 22.8181 20.3054C22.2104 20.3054 21.7178 20.798 21.7178 21.4057C21.7178 22.0134 22.2104 22.506 22.8181 22.506Z"
      //           fill="#666666"/>
      //     <path
      //       d="M23.9184 30.208C23.9184 30.8157 23.4258 31.3084 22.8181 31.3084C22.2104 31.3084 21.7178 30.8157 21.7178 30.208C21.7178 29.6004 22.2104 29.1077 22.8181 29.1077C23.4258 29.1077 23.9184 29.6004 23.9184 30.208Z"
      //       fill="#222222"/>
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M22.8181 30.2806C22.8582 30.2806 22.8906 30.2481 22.8906 30.208C22.8906 30.168 22.8582 30.1355 22.8181 30.1355C22.778 30.1355 22.7456 30.168 22.7456 30.208C22.7456 30.2481 22.778 30.2806 22.8181 30.2806ZM22.8181 31.3084C23.4258 31.3084 23.9184 30.8157 23.9184 30.208C23.9184 29.6004 23.4258 29.1077 22.8181 29.1077C22.2104 29.1077 21.7178 29.6004 21.7178 30.208C21.7178 30.8157 22.2104 31.3084 22.8181 31.3084Z"
      //           fill="#666666"/>
      //     <path
      //       d="M19.517 25.8069C19.517 26.4145 19.0244 26.9072 18.4167 26.9072C17.809 26.9072 17.3164 26.4145 17.3164 25.8069C17.3164 25.1992 17.809 24.7065 18.4167 24.7065C19.0244 24.7065 19.517 25.1992 19.517 25.8069Z"
      //       fill="#222222"/>
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M18.4167 25.8794C18.4568 25.8794 18.4893 25.8469 18.4893 25.8069C18.4893 25.7668 18.4568 25.7343 18.4167 25.7343C18.3767 25.7343 18.3442 25.7668 18.3442 25.8069C18.3442 25.8469 18.3767 25.8794 18.4167 25.8794ZM18.4167 26.9072C19.0244 26.9072 19.517 26.4145 19.517 25.8069C19.517 25.1992 19.0244 24.7065 18.4167 24.7065C17.809 24.7065 17.3164 25.1992 17.3164 25.8069C17.3164 26.4145 17.809 26.9072 18.4167 26.9072Z"
      //           fill="#666666"/>
      //     <path
      //       d="M15.1157 21.4056C15.1157 22.0133 14.623 22.5059 14.0154 22.5059C13.4077 22.5059 12.915 22.0133 12.915 21.4056C12.915 20.7979 13.4077 20.3053 14.0154 20.3053C14.623 20.3053 15.1157 20.7979 15.1157 21.4056Z"
      //       fill="#222222"/>
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M14.0154 21.4782C14.0554 21.4782 14.0879 21.4457 14.0879 21.4056C14.0879 21.3656 14.0554 21.3331 14.0154 21.3331C13.9753 21.3331 13.9428 21.3656 13.9428 21.4056C13.9428 21.4457 13.9753 21.4782 14.0154 21.4782ZM14.0154 22.5059C14.623 22.5059 15.1157 22.0133 15.1157 21.4056C15.1157 20.7979 14.623 20.3053 14.0154 20.3053C13.4077 20.3053 12.915 20.7979 12.915 21.4056C12.915 22.0133 13.4077 22.5059 14.0154 22.5059Z"
      //           fill="#666666"/>
      //     <path
      //       d="M15.1157 30.208C15.1157 30.8157 14.623 31.3084 14.0154 31.3084C13.4077 31.3084 12.915 30.8157 12.915 30.208C12.915 29.6004 13.4077 29.1077 14.0154 29.1077C14.623 29.1077 15.1157 29.6004 15.1157 30.208Z"
      //       fill="#222222"/>
      //     <path fillRule="evenodd" clipRule="evenodd"
      //           d="M14.0154 30.2806C14.0554 30.2806 14.0879 30.2481 14.0879 30.208C14.0879 30.168 14.0554 30.1355 14.0154 30.1355C13.9753 30.1355 13.9428 30.168 13.9428 30.208C13.9428 30.2481 13.9753 30.2806 14.0154 30.2806ZM14.0154 31.3084C14.623 31.3084 15.1157 30.8157 15.1157 30.208C15.1157 29.6004 14.623 29.1077 14.0154 29.1077C13.4077 29.1077 12.915 29.6004 12.915 30.208C12.915 30.8157 13.4077 31.3084 14.0154 31.3084Z"
      //           fill="#666666"/>
      //   </g>
      //   <defs>
      //     <clipPath id="clip0_741_6607">
      //       <rect width="40" height="40" fill="white"/>
      //     </clipPath>
      //   </defs>
      // </SvgIcon>
    )
  }
  const MUSCLE = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/muscle.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <path d="M2.6665 21.7887C2.6665 21.7887 10.5566 12.9166 18.9377 22.4025" stroke="#666666" strokeWidth="1.5"
      //         strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M15.7348 24.746C15.7348 24.746 17.9556 21.9114 22.2634 21.7887C26.5711 21.6659 29.2941 24.1322 29.2941 24.1322C29.2941 24.1322 30.1646 16.2198 29.7629 10.3274C29.7629 10.3274 29.4169 7.73829 28.6692 7.61553C27.9215 7.49277 28.0107 8.38556 28.0107 8.38556C28.0107 8.38556 27.8768 9.7694 26.2028 9.59084C24.9752 9.45692 22.5089 9.44576 22.3861 7.60437C22.2634 5.76297 22.9999 3.91042 24.4842 3.35243C25.9685 2.79443 28.0889 3.05111 29.9191 3.91042C31.7493 4.76974 32.3743 5.64022 33.1108 6.99057C33.8474 8.34092 36.3138 14.2669 37.1842 21.4092C38.0547 28.5516 37.5525 29.9131 37.1842 30.6497C36.8159 31.3862 35.2089 32.625 33.2448 33.3615C31.2806 34.0981 15.9915 41.2516 5.25562 33.3615"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path d="M6.11486 31.4087L3.15747 35.1026" stroke="#666666" strokeWidth="1.5" strokeLinecap="round"
      //         strokeLinejoin="round"/>
      // </SvgIcon>
    )
  }
  const BONE = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/bone.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <g clipPath="url(#clip0_741_6635)">
      //     <path
      //       d="M26.0356 0.399902C26.0356 0.399902 25.8358 5.70906 26.6089 7.18767C27.6686 9.19374 29.2409 10.6291 30.9 12.0558C33.0629 13.9149 33.0195 18.1 29.0932 17.8925C28.3635 17.8579 27.66 17.6244 27.0432 17.2353C25.5752 16.3187 23.1517 14.2089 19.8335 14.304C16.524 14.2089 14.0918 16.3187 12.6238 17.2353C12.007 17.6244 11.3034 17.8579 10.5738 17.8925C6.64753 18.1 6.6041 13.9149 8.76701 12.0558C10.4261 10.6291 12.007 9.19374 13.0581 7.18767C13.8572 5.70906 13.6575 0.399902 13.6575 0.399902"
      //       stroke="#666666" strokeWidth="1.5" strokeMiterlimit="10"/>
      //     <path
      //       d="M26.0356 40.3999C26.0356 40.3999 25.8358 35.0907 26.6089 33.6121C27.6686 31.6061 29.2409 30.1707 30.9 28.744C33.0629 26.8849 33.0195 22.6998 29.0932 22.9073C28.3635 22.9419 27.66 23.1754 27.0432 23.5645C25.5752 24.4811 23.1517 26.5909 19.8335 26.4958C16.524 26.5909 14.0918 24.4811 12.6238 23.5645C12.007 23.1754 11.3034 22.9419 10.5738 22.9073C6.64753 22.6998 6.6041 26.8849 8.76701 28.744C10.4261 30.1707 12.007 31.6061 13.0581 33.6121C13.8399 35.0907 13.6314 40.3999 13.6314 40.3999"
      //       stroke="#666666" strokeWidth="1.5" strokeMiterlimit="10"/>
      //     <path d="M8.5835 17.8999C8.5835 17.8999 5.771 20.1692 8.5835 22.8999" stroke="#666666" strokeWidth="1.5"
      //           strokeMiterlimit="10"/>
      //     <path d="M31.0835 17.8999C31.0835 17.8999 33.896 20.1692 31.0835 22.8999" stroke="#666666" strokeWidth="1.5"
      //           strokeMiterlimit="10"/>
      //   </g>
      //   <defs>
      //     <clipPath id="clip0_741_6635">
      //       <rect width="40" height="40" fill="white"/>
      //     </clipPath>
      //   </defs>
      // </SvgIcon>
    )
  }
  const ANEMIA = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/anemia.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <rect width="39.8877" height="40" fill="white"/>
      //   <path
      //     d="M19.9953 39C12.0136 39 5.51978 32.9792 5.51978 25.5787C5.51978 15.25 19.9954 1 19.9954 1C19.9954 1 34.4705 15.25 34.4705 25.5787C34.4705 32.9793 27.9769 39 19.9953 39Z"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <circle cx="22.9951" cy="33.4502" r="2.25" stroke="#666666" strokeWidth="1.5"/>
      //   <line x1="5.11206" y1="26.25" x2="34.0306" y2="26.25" stroke="#666666" strokeWidth="1.5"/>
      //   <line x1="19.78" y1="9.3501" x2="19.78" y2="18.3001" stroke="#666666" strokeWidth="1.5"
      //         strokeLinecap="round"/>
      //   <path d="M17.1001 18.1001L19.5668 20.0001L21.9252 18.1001" stroke="#666666" strokeWidth="1.5"
      //         strokeLinecap="round"/>
      //   <circle cx="14.342" cy="31.5498" r="2.25" fill="white" stroke="#666666" strokeWidth="1.5"/>
      //   <path
      //     d="M28.9959 26.5655C29.0006 27.8082 27.997 28.8192 26.7544 28.8237C25.5117 28.8283 24.5006 27.8246 24.4959 26.582C24.4912 25.3393 25.4948 24.3283 26.7374 24.3238C27.9801 24.3192 28.9912 25.3229 28.9959 26.5655Z"
      //     fill="white" stroke="#666666" strokeWidth="1.5"/>
      // </SvgIcon>
    )
  }
  const MOUTH = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/mouth.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <g clipPath="url(#clip0_741_6659)">
      //     <path
      //       d="M20.6438 11.8632C20.6438 11.8632 22.513 9.65505 27.114 9.65505C31.7151 9.65505 39.0276 16.1253 39.0276 16.1253C39.0276 16.1253 35.1454 22.4621 29.8357 24.6291C26.087 26.1594 20.6438 26.1594 20.6438 26.1594C20.6438 26.1594 15.2005 26.1594 11.4519 24.6291C6.15243 22.4518 2.27026 16.115 2.27026 16.115C2.27026 16.115 9.5827 9.64478 14.1838 9.64478C18.7849 9.64478 20.654 11.8529 20.654 11.8529L20.6438 11.8632Z"
      //       stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //     <path
      //       d="M21.1 30.2C21.7075 30.2 22.2 29.7075 22.2 29.1C22.2 28.4925 21.7075 28 21.1 28C20.4925 28 20 28.4925 20 29.1C20 29.7075 20.4925 30.2 21.1 30.2Z"
      //       fill="#666666"/>
      //   </g>
      //   <path d="M29 27.5V17H12V27.5C12 32.1944 15.8056 36 20.5 36C25.1944 36 29 32.1944 29 27.5Z" fill="white"/>
      //   <path d="M12 17V27.5C12 32.1944 15.8056 36 20.5 36V36C25.1944 36 29 32.1944 29 27.5V17" stroke="#666666"
      //         strokeWidth="1.5"/>
      //   <path
      //     d="M2.27026 16.1152C2.27026 16.1152 8.29891 15.5606 12.4892 16.4644C14.5843 16.9162 18.5178 17.3887 20.6438 17.3887"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M39.0276 16.1152C39.0276 16.1152 32.9989 15.5606 28.8086 16.4644C26.7135 16.9162 22.78 17.3887 20.6541 17.3887"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //   <path
      //     d="M28.2758 7.22979C28.8833 7.22979 29.3758 6.7373 29.3758 6.12979C29.3758 5.52227 28.8833 5.02979 28.2758 5.02979C27.6683 5.02979 27.1758 5.52227 27.1758 6.12979C27.1758 6.7373 27.6683 7.22979 28.2758 7.22979Z"
      //     fill="#666666"/>
      //   <path
      //     d="M33.4379 9.30815C34.0454 9.30815 34.5379 8.81567 34.5379 8.20815C34.5379 7.60064 34.0454 7.10815 33.4379 7.10815C32.8304 7.10815 32.3379 7.60064 32.3379 8.20815C32.3379 8.81567 32.8304 9.30815 33.4379 9.30815Z"
      //     fill="#666666"/>
      //   <path
      //     d="M28.2758 14.2C28.8833 14.2 29.3758 13.7075 29.3758 13.1C29.3758 12.4925 28.8833 12 28.2758 12C27.6683 12 27.1758 12.4925 27.1758 13.1C27.1758 13.7075 27.6683 14.2 28.2758 14.2Z"
      //     fill="#666666"/>
      //   <path
      //     d="M25.1 24.2C25.7075 24.2 26.2 23.7075 26.2 23.1C26.2 22.4925 25.7075 22 25.1 22C24.4925 22 24 22.4925 24 23.1C24 23.7075 24.4925 24.2 25.1 24.2Z"
      //     fill="#666666"/>
      //   <path
      //     d="M21.1 27.2C21.7075 27.2 22.2 26.7075 22.2 26.1C22.2 25.4925 21.7075 25 21.1 25C20.4925 25 20 25.4925 20 26.1C20 26.7075 20.4925 27.2 21.1 27.2Z"
      //     fill="#666666"/>
      //   <path
      //     d="M25.1 30.3919C25.7075 30.3919 26.2 29.8994 26.2 29.2919C26.2 28.6844 25.7075 28.1919 25.1 28.1919C24.4925 28.1919 24 28.6844 24 29.2919C24 29.8994 24.4925 30.3919 25.1 30.3919Z"
      //     fill="#666666"/>
      //   <defs>
      //     <clipPath id="clip0_741_6659">
      //       <rect width="39" height="26" fill="white" transform="translate(1 3)"/>
      //     </clipPath>
      //   </defs>
      // </SvgIcon>
    )
  }
  const GUMS = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/gums.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <g clipPath="url(#clip0_741_6671)">
      //     <path d="M37 35V31C37 25.4772 32.5228 21 27 21H11C5.47715 21 1 25.4772 1 31V35" stroke="#666666"
      //           strokeWidth="1.5"/>
      //     <g clipPath="url(#clip1_741_6671)">
      //       <path
      //         d="M18.9987 23.2935C20.9725 23.2935 21.202 25.2065 21.202 25.2065C21.202 25.2065 21.2755 30.2642 21.2755 31.5963C21.2755 32.9283 22.1109 34 23.7083 34C25.6087 34 25.9943 32.3374 25.9943 31.5062C25.9943 30.6749 25.6913 25.8675 26.3707 23.2935C27.0501 20.7195 29.1891 18.6463 30.3275 16.3228C31.4659 13.9992 31.1079 10.2835 29.639 8.44063C27.7478 6.03692 24.7825 5.78654 22.6526 6.11705C20.5227 6.44756 19.3843 7.27884 19.3843 7.27884H18.6223C18.6223 7.27884 17.4839 6.44756 15.354 6.11705C13.2241 5.78654 10.2587 6.03692 8.35836 8.44063C6.89865 10.2935 6.53142 13.9992 7.66982 16.3228C8.80821 18.6463 10.9381 20.7195 11.6267 23.2935C12.3152 25.8675 12.0031 30.6749 12.0031 31.5062C12.0031 32.3374 12.3795 34 14.289 34C15.8865 34 16.7219 32.9183 16.7219 31.5963C16.7219 30.2743 16.7953 25.2065 16.7953 25.2065C16.7953 25.2065 17.0248 23.2935 18.9987 23.2935Z"
      //         fill="white"/>
      //       <path
      //         d="M18.9987 23.2935C20.9725 23.2935 21.202 25.2065 21.202 25.2065C21.202 25.2065 21.2755 30.2642 21.2755 31.5963C21.2755 32.9283 22.1109 34 23.7083 34C25.6087 34 25.9943 32.3374 25.9943 31.5062C25.9943 30.6749 25.6913 25.8675 26.3707 23.2935C27.0501 20.7195 29.1891 18.6463 30.3275 16.3228C31.4659 13.9992 31.1079 10.2835 29.639 8.44063C27.7478 6.03692 24.7825 5.78654 22.6526 6.11705C20.5227 6.44756 19.3843 7.27884 19.3843 7.27884H18.6223C18.6223 7.27884 17.4839 6.44756 15.354 6.11705C13.2241 5.78654 10.2587 6.03692 8.35836 8.44063C6.89865 10.2935 6.53142 13.9992 7.66982 16.3228C8.80821 18.6463 10.9381 20.7195 11.6267 23.2935C12.3152 25.8675 12.0031 30.6749 12.0031 31.5062C12.0031 32.3374 12.3795 34 14.289 34C15.8865 34 16.7219 32.9183 16.7219 31.5963C16.7219 30.2743 16.7953 25.2065 16.7953 25.2065C16.7953 25.2065 17.0248 23.2935 18.9987 23.2935"
      //         stroke="#666666" strokeWidth="1.5" strokeMiterlimit="10"/>
      //       <path
      //         d="M38.3879 15.3854C39.2291 16.3372 39.1842 17.7562 38.2877 18.5485C37.0365 19.6543 33.7847 19.4537 33.7847 19.4537C33.7847 19.4537 33.9853 16.2019 35.2364 15.0961C36.1329 14.3038 37.5467 14.4336 38.3879 15.3854Z"
      //         stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //       <path
      //         d="M38.5005 7.54018C38.9409 8.11898 38.8557 8.92734 38.3105 9.34213C37.5497 9.92104 35.7013 9.67001 35.7013 9.67001C35.7013 9.67001 35.9523 7.82164 36.7132 7.24273C37.2583 6.82794 38.0601 6.96138 38.5005 7.54018Z"
      //         stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      //     </g>
      //   </g>
      //   <defs>
      //     <clipPath id="clip0_741_6671">
      //       <rect width="40" height="40" fill="white"/>
      //     </clipPath>
      //     <clipPath id="clip1_741_6671">
      //       <rect width="40" height="36" fill="white" transform="translate(0 5)"/>
      //     </clipPath>
      //   </defs>
      // </SvgIcon>
    )
  }
  const EYEBALL = () => {
    return (
      <Image
        alt={''}
        src={PATH_DONOTS_STATIC_PAGE.ICONS('/images/icons/health_keyword/eyeball.png')}
        onClick={onClick}
        sx={{width: '40px', height: '40px'}}
      />

      // <SvgIcon onClick={onClick} viewBox="0 0 40 40" sx={{width: '40px', height: '40px', fill: 'none', ...sx}}>
      //   <path
      //     d="M19 34.9973C31.968 35.2069 36 23.2082 36 23.2082C36 23.2082 32.1314 11 19 11C5.86859 11 2 23.2082 2 23.2082C2 23.2082 6.03205 34.7877 19 34.9973Z"
      //     stroke="#666666" strokeWidth="1.5"/>
      //   <path
      //     d="M25.3181 22.8052C25.3181 26.2662 22.6351 29.0719 19.3256 29.0719C16.016 29.0719 13.3331 26.2662 13.3331 22.8052C13.3331 19.3442 16.016 16.5385 19.3256 16.5385C22.6351 16.5385 25.3181 19.3442 25.3181 22.8052Z"
      //     stroke="#666666" strokeWidth="1.5"/>
      //   <path
      //     d="M31.9632 19.7778C28.6548 19.7778 25.9631 17.2428 25.9631 14.1268C25.9631 9.77783 31.9632 3.77783 31.9632 3.77783C31.9632 3.77783 37.9631 9.77783 37.9631 14.1268C37.9631 17.2428 35.2716 19.7778 31.9632 19.7778Z"
      //     fill="white"/>
      //   <path
      //     d="M34.9631 13.7778C34.5166 15.1748 33.3944 16.2918 31.9631 16.7778M31.9632 19.7778C28.6548 19.7778 25.9631 17.2428 25.9631 14.1268C25.9631 9.77783 31.9632 3.77783 31.9632 3.77783C31.9632 3.77783 37.9631 9.77783 37.9631 14.1268C37.9631 17.2428 35.2716 19.7778 31.9632 19.7778Z"
      //     stroke="#666666" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round"/>
      // </SvgIcon>
    )
  }

  switch (type) {
    case ICON_HEALTH_KEYWORD_TYPE.COLD:
      return COLD()
    case ICON_HEALTH_KEYWORD_TYPE.CONSTIPATION:
      return CONSTIPATION()
    case ICON_HEALTH_KEYWORD_TYPE.LACTOSE:
      return LACTOSE()
    case ICON_HEALTH_KEYWORD_TYPE.IMBALANCED:
      return IMBALANCED()
    case ICON_HEALTH_KEYWORD_TYPE.SKIN:
      return SKIN()
    case ICON_HEALTH_KEYWORD_TYPE.MUSCLE:
      return MUSCLE()
    case ICON_HEALTH_KEYWORD_TYPE.BONE:
      return BONE()
    case ICON_HEALTH_KEYWORD_TYPE.ANEMIA:
      return ANEMIA()
    case ICON_HEALTH_KEYWORD_TYPE.MOUTH:
      return MOUTH()
    case ICON_HEALTH_KEYWORD_TYPE.GUMS:
      return GUMS()
    case ICON_HEALTH_KEYWORD_TYPE.EYEBALL:
      return EYEBALL()
    default:
      return DEFAULT()
  }
}